path: /build/build/nftables-net-firewall-1.0.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc cli gmp json" emerge net-firewall/nftables -pv -t && \
    USE="-doc cli gmp json" emerge -j ${JOBS} --nodeps net-firewall/nftables
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/nftables && luet-portage --dir /pkgdir/nftables
    net-firewall/nftables && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c6047c5653075842cff9ea0bc06eb23435034ca6f8ab62ecfbe8540691da25d1
  package:
    name: nftables
    version: 1.0.9
    category: net-firewall
    use_flags:
    - -doc
    - cli
    - gmp
    - json
    requires:
    - name: libnftnl
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Linux kernel (3.13+) firewall, NAT and packet mangling tools
    uri:
    - https://netfilter.org/projects/nftables/
    license: GPL-2
    buildtimestamp: 2023-11-30 14:58:09.581884542 +0000 UTC m=+295.659000361
    labels:
      DEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
        ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0= >=app-text/docbook2X-0.8.8-r4
        doc? ( >=app-text/dblatex-0.3.7 ) sys-devel/bison sys-devel/flex virtual/pkgconfig
        >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
        >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4'
      IUSE: debug +cli doc +gmp json +modern_kernel python xtables kernel_linux
      RDEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
        ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0='
      emerge.packages: net-firewall/nftables
      kit: net-kit
      original.package.name: net-firewall/nftables
      original.package.slot: "0"
      original.package.version: 1.0.9
    treedir: /build/packages
  package_dir: /pkgdir/nftables
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3685a04b7ca06c1eb5cacf184e10446704b7c729037c5f9faf333d82b89cdef2
compressiontype: zstd
files:
- etc/conf.d/nftables
- etc/init.d/nftables
- sbin/nft
- usr/include/nftables/libnftables.h
- usr/lib64/libnftables.la
- usr/lib64/libnftables.so
- usr/lib64/libnftables.so.1
- usr/lib64/libnftables.so.1.1.0
- usr/lib64/pkgconfig/libnftables.pc
- usr/libexec/nftables/nftables.sh
- usr/share/doc/nftables-1.0.9/examples/ct_helpers.nft.bz2
- usr/share/doc/nftables-1.0.9/examples/load_balancing.nft.bz2
- usr/share/doc/nftables-1.0.9/examples/secmark.nft.bz2
- usr/share/doc/nftables-1.0.9/examples/sets_and_maps.nft.bz2
- usr/share/doc/nftables-1.0.9/usr/share/doc/nftables-1.0.9/skels/osf/pf.os.bz2
- usr/share/nftables/all-in-one.nft
- usr/share/nftables/arp-filter.nft
- usr/share/nftables/bridge-filter.nft
- usr/share/nftables/inet-filter.nft
- usr/share/nftables/inet-nat.nft
- usr/share/nftables/ipv4-filter.nft
- usr/share/nftables/ipv4-mangle.nft
- usr/share/nftables/ipv4-nat.nft
- usr/share/nftables/ipv4-raw.nft
- usr/share/nftables/ipv6-filter.nft
- usr/share/nftables/ipv6-mangle.nft
- usr/share/nftables/ipv6-nat.nft
- usr/share/nftables/ipv6-raw.nft
- usr/share/nftables/netdev-ingress.nft
- var/db/pkg/net-firewall/nftables-1.0.9/BUILD_TIME
- var/db/pkg/net-firewall/nftables-1.0.9/CATEGORY
- var/db/pkg/net-firewall/nftables-1.0.9/CBUILD
- var/db/pkg/net-firewall/nftables-1.0.9/CFLAGS
- var/db/pkg/net-firewall/nftables-1.0.9/CHOST
- var/db/pkg/net-firewall/nftables-1.0.9/CONTENTS
- var/db/pkg/net-firewall/nftables-1.0.9/COUNTER
- var/db/pkg/net-firewall/nftables-1.0.9/CXXFLAGS
- var/db/pkg/net-firewall/nftables-1.0.9/DEFINED_PHASES
- var/db/pkg/net-firewall/nftables-1.0.9/DEPEND
- var/db/pkg/net-firewall/nftables-1.0.9/DESCRIPTION
- var/db/pkg/net-firewall/nftables-1.0.9/EAPI
- var/db/pkg/net-firewall/nftables-1.0.9/FEATURES
- var/db/pkg/net-firewall/nftables-1.0.9/HOMEPAGE
- var/db/pkg/net-firewall/nftables-1.0.9/INHERITED
- var/db/pkg/net-firewall/nftables-1.0.9/IUSE
- var/db/pkg/net-firewall/nftables-1.0.9/IUSE_EFFECTIVE
- var/db/pkg/net-firewall/nftables-1.0.9/KEYWORDS
- var/db/pkg/net-firewall/nftables-1.0.9/LDFLAGS
- var/db/pkg/net-firewall/nftables-1.0.9/LICENSE
- var/db/pkg/net-firewall/nftables-1.0.9/NEEDED
- var/db/pkg/net-firewall/nftables-1.0.9/PF
- var/db/pkg/net-firewall/nftables-1.0.9/PROVIDES
- var/db/pkg/net-firewall/nftables-1.0.9/RDEPEND
- var/db/pkg/net-firewall/nftables-1.0.9/REQUIRES
- var/db/pkg/net-firewall/nftables-1.0.9/SIZE
- var/db/pkg/net-firewall/nftables-1.0.9/SLOT
- var/db/pkg/net-firewall/nftables-1.0.9/USE
- var/db/pkg/net-firewall/nftables-1.0.9/environment.bz2
- var/db/pkg/net-firewall/nftables-1.0.9/nftables-1.0.9.ebuild
- var/db/pkg/net-firewall/nftables-1.0.9/repository
- var/lib/nftables/.keep_net-firewall_nftables-0
package_cacheimage: ""
runtime:
  name: nftables
  version: 1.0.9
  category: net-firewall
  use_flags:
  - -doc
  - cli
  - gmp
  - json
  requires:
  - name: gmp
    version: '>=0'
    category: dev-libs
  - name: jansson
    version: '>=0'
    category: dev-libs
  - name: libedit
    version: '>=0'
    category: dev-libs
  - name: libnftnl
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Linux kernel (3.13+) firewall, NAT and packet mangling tools
  uri:
  - https://netfilter.org/projects/nftables/
  license: GPL-2
  labels:
    DEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
      ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0= >=app-text/docbook2X-0.8.8-r4
      doc? ( >=app-text/dblatex-0.3.7 ) sys-devel/bison sys-devel/flex virtual/pkgconfig
      >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4'
    IUSE: debug +cli doc +gmp json +modern_kernel python xtables kernel_linux
    RDEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
      ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0='
    emerge.packages: net-firewall/nftables
    kit: net-kit
    original.package.name: net-firewall/nftables
    original.package.slot: "0"
    original.package.version: 1.0.9
